Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160942 - Change install options under installaion
Summary: Change install options under installaion
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 00:39 UTC by Amadeus
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 18:09:27 UTC


Attachments (Terms of Use)

Description Amadeus 2005-06-19 00:39:09 UTC
Description of problem:

According to Bug# 160941 did I run into problems installing using FTP. The
result was, that I had to reboot, and start all over from another source.

This is a shame, as the user have to redo the package selection etc. again.

Suggestion to solution:
When an install error occurres (no matter installation method) the options
should be:

* Change installation method to CD's.
* Change installation method to another FTP server.
* Change installation method to another HTTP server.
* Change installation method to another NFS location.
* Skip this package, and log it to /root/failed-to-install.log
* Reboot

This ensures that an installation will always be a success, nomatter if the CD's
are damaged or an FTP error occurred.

I think this will send a message of professionalism that an Fedora install will
always be completed.

Having Retry and Reboot as the only options for recovery seams a bit stone age.

Comment 1 Jeremy Katz 2005-06-20 18:09:27 UTC
Skipping packages is not a reasonable option; it's highly likely to leave you
with a system that will be broken in some way.

Although changing install methods sounds like a win, given the architecture of
anaconda and some of the assumptions we make depending on install type, it's not
really feasible at this point.

Comment 2 Amadeus 2005-06-21 17:11:34 UTC
Could the bug stay open, incase someone sees it, and starts making the changes
to anaconda so changing install method is possible?




Note You need to log in before you can comment on or make changes to this bug.